Upgrade Alfresco 5.0.c Community to Alfresco Community 201901 GA

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Active Member

Upgrade Alfresco 5.0.c Community to Alfresco Community 201901 GA

Jump to solution
 

Hello,

according to this (https://docs.alfresco.com/6.1/concepts/upgrade-path.html):upgrade-path-6-1.png

The upgrade path recommendations are:

  • Direct upgrades to Alfresco Content Services 6.1.1 are supported from only 5.0.x and later, with the latest Service Pack applied.
  • Alfresco Content Services 6.1.1 introduces changes that require new releases of all modules. To upgrade to 6.1.1, you also need to update any of the module artifacts to which you are entitled. See Supported Platforms for more details on the associated versions.
  • You must upgrade to Alfresco Search Services 1.3 before upgrading the repository to 6.1.1. See Upgrading Search Services for more information.
  • Upgrades from Alfresco Content Services 5.2 must first upgrade from Solr 4 to Search Services, and then upgrade to 6.1.1.
  • Upgrades from Alfresco 5.0 or 5.1 need to first stop at 5.2 to upgrade search to Search Services, and then upgrade to 6.1.1.
  • See Upgrading from Alfresco Community Edition for guidance on upgrades from Alfresco Community Edition.

Note:
If you are upgrading from an earlier release that is not shown on this diagram, contact Alfresco Support for assistance.

Can I assume there is a direct path between Alfresco 5.0.c Community and Alfresco Community 201901 GA?

I've seen this thread-> https://hub.alfresco.com/t5/alfresco-content-services-forum/upgrade-alfresco-5-0-to-6-0/m-p/295825#M... I am not sure why they are not the same versions and the documentation is ambiguous.

Thanks & Regards.
David.

1 Solution

Accepted Solutions
Highlighted
Active Member

Re: Upgrade Alfresco 5.0.c Community to Alfresco Community 201901 GA

Jump to solution

Hello,

When we started working on it, we had to carry out an intermediate step in version 5.2. We saw these messages when trying to start Alfresco 201901 GA and it's pretty clearSmiley LOL:
"Patch 'patch.db-v4.2-migrate-activiti-workflows' was last supported on version 5.2.x.
Please follow an incremental upgrade using version 5.2.x. "

Regards.

David.

View solution in original post

3 Replies
Highlighted
Alfresco Employee

Re: Upgrade Alfresco 5.0.c Community to Alfresco Community 201901 GA

Jump to solution

This recommendations are related with Enterprise Edition.

The Community Edition has different naming, but you can identify the versions by following this equivalence list:

* 201707-GA = 5.2

* 201806-GA = 6.0

* 201901-GA = 6.1

* 201911-GA = 6.2

I guess you can upgrade directly from 5.0.c to 201901-GA but I haven't tested it.

 

Software Engineer in Alfresco Search Team.
Highlighted
Active Member

Re: Upgrade Alfresco 5.0.c Community to Alfresco Community 201901 GA

Jump to solution

Hello Angel.

Thanks. I was asking because I haven't an equivalent upgrade path for Community versions. So it could be say that my case is equivelent to migrate from 5.0.c to 6.1 talking in Enterprise Versions.

I'm installing and configuring Alfresco Community 201901 GA in a new server and my idea is follow the steps described in https://hub.alfresco.com/t5/alfresco-content-services-forum/upgrade-alfresco-5-0-to-6-0/m-p/295825#M... and your presentation https://www.slideshare.net/angelborroy/2019-dev-con115angelborroy.

Thanks for your articles, guides and advices. Some times it's challenging working with the Alfresco official resources and documentation.

Regards.
David.

Highlighted
Active Member

Re: Upgrade Alfresco 5.0.c Community to Alfresco Community 201901 GA

Jump to solution

Hello,

When we started working on it, we had to carry out an intermediate step in version 5.2. We saw these messages when trying to start Alfresco 201901 GA and it's pretty clearSmiley LOL:
"Patch 'patch.db-v4.2-migrate-activiti-workflows' was last supported on version 5.2.x.
Please follow an incremental upgrade using version 5.2.x. "

Regards.

David.

View solution in original post